# Get Allowance

Before making use of yBridge, you must approve the contract first to proceed with the token spend. You could get the allowance and see whether you are willing to approve yBridge to execute swaps on your behalf via this API.

## Get the allowance of token

<mark style="color:blue;">`GET`</mark> `endpoint/approval`

#### Query Parameters

| Name                                           | Type   | Description             |
| ---------------------------------------------- | ------ | ----------------------- |
| chainId<mark style="color:red;">\*</mark>      | String | chain ID                |
| owner<mark style="color:red;">\*</mark>        | String | Address of token holder |
| spender<mark style="color:red;">\*</mark>      | String | Address of the spender  |
| tokenAddress<mark style="color:red;">\*</mark> | String | Token address           |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "isSuccess": true,
    "msg": '',
    "chainId": "1",
    "tokenAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
    "owner": "0x0000000000000000000000000000000000000000",
    "spender": "0x0000000000000000000000000000000000000000",
    "allowance": 0
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**`NOTE :`**` ``The spender should be the contractAddress in the response of` [`Get Quote`](https://app.gitbook.com/s/-Mcs9EhDrgbKHodtcAT6/~/changes/HTPvqHWDmiwzKo005mtN/xswap-api/v1/get-quote)`.`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xy.finance/single-bridge-integration/ybridge-api/get-allowance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
